|  | Home | Documentation | _struct Struct Reference updated by Robert van Engelen |

Public Types | Public Member Functions | Public Attributes | List of all members
_struct Struct Reference

Represents the <struct> record structure element. More...

`#include <xml-rpc.h>`

Collaboration diagram for _struct:
[legend]

## Public Types

typedef _struct_iterator | iterator
typedef _struct_const_iterator | const_iterator

## Public Member Functions

| _struct ()
| _struct (const struct _struct &)
| _struct (struct soap *)
| _struct (struct soap *, int)
struct _struct & | operator= (const struct _struct &)
bool | empty () const
| true if struct is empty
int | size () const
| number of accessors in struct
struct value & | operator[] (int) const
| struct index (negative to get from end)
struct value & | operator[] (const char *)
| struct accessor
struct value & | operator[] (const wchar_t *)
| struct accessor
const struct value & | operator[] (const char *) const
| struct accessor
const struct value & | operator[] (const wchar_t *) const
| struct accessor
_struct_iterator | begin () const
| struct iterator begin
_struct_iterator | end () const
| struct iterator end

## Public Attributes

int | __size
| number of members
struct member * | member
| pointer to member array
struct soap * | soap
| ref to soap struct that manages this type

## Detailed Description

Represents the <struct> record structure element.

## Member Typedef Documentation

## ◆ const_iterator

typedef _struct_const_iterator _struct::const_iterator

## ◆ iterator

typedef _struct_iterator _struct::iterator

## Constructor & Destructor Documentation

## ◆ _struct() [1/4]

_struct::_struct | ( |  | ) |

## ◆ _struct() [2/4]

_struct::_struct | ( | const struct _struct & |  | ) |

## ◆ _struct() [3/4]

_struct::_struct | ( | struct soap * |  | ) |

## ◆ _struct() [4/4]

_struct::_struct | ( | struct soap * | ,
|  | int | )

## Member Function Documentation

## ◆ begin()

_struct_iterator _struct::begin | ( |  | ) | const

struct iterator begin

## ◆ empty()

bool _struct::empty | ( |  | ) | const

true if struct is empty

## ◆ end()

_struct_iterator _struct::end | ( |  | ) | const

struct iterator end

## ◆ operator=()

struct _struct & _struct::operator= | ( | const struct _struct & |  | ) |

## ◆ operator[]() [1/5]

struct value & _struct::operator[] | ( | const char * |  | ) |

struct accessor

## ◆ operator[]() [2/5]

const struct value & _struct::operator[] | ( | const char * |  | ) | const

struct accessor

## ◆ operator[]() [3/5]

struct value & _struct::operator[] | ( | const wchar_t * |  | ) |

struct accessor

## ◆ operator[]() [4/5]

const struct value & _struct::operator[] | ( | const wchar_t * |  | ) | const

struct accessor

## ◆ operator[]() [5/5]

struct value & _struct::operator[] | ( | int |  | ) | const

struct index (negative to get from end)

## ◆ size()

int _struct::size | ( |  | ) | const

number of accessors in struct

## Member Data Documentation

## ◆ __size

int _struct::__size

number of members

## ◆ member

struct member* _struct::member

pointer to member array

## ◆ soap

struct soap* _struct::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h